Next: isxdigit, Previous: isspace, Up: Ctype

### 3.10 `isupper`—uppercase character predicate

Synopsis

         #include <ctype.h>
         int isupper(int c);

Description
`isupper` is a macro which classifies ASCII integer values by table lookup. It is a predicate returning non-zero for uppercase letters (`A`–`Z`), and 0 for other characters. It is defined only when `isascii`(c) is true or c is EOF.

You can use a compiled subroutine instead of the macro definition by undefining the macro using ``#undef isupper`'.

Returns
`isupper` returns non-zero if c is a uppercase letter (A-Z).

Portability
`isupper` is ANSI C.

No supporting OS subroutines are required.